Distribution:   CCux
Packager:	Simon Schmeisser <wrt@ccux-linux.de>

Name:		strigi
Version:	0.7.2
Release:	2
License:	LGPLv2+
URL:		http://www.vandenoever.info/software/strigi/
Group:		User Interface/Desktops
Source0:	http://www.vandenoever.info/software/strigi/strigi-%{version}.tar.bz2
Source1:	strigiclient.desktop
Source2:	strigi-daemon.desktop
Patch0:		strigi-0.6.2-multilib.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	A desktop search program for KDE
BuildRequires:	cmake
BuildRequires:	openssl-devel
BuildRequires:	bzip2-devel
BuildRequires:	expat-devel cppunit-devel bison
BuildRequires:	exiv2-devel
BuildRequires:  libX11-devel
BuildRequires:	desktop-file-utils

#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: clucene-devel
BuildRequires: dbus-devel
BuildRequires: gamin-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libxml2-devel
BuildRequires: qt4-devel
BuildRequires: zlib-devel

%description
Strigi is a fast and light desktop search engine. It can handle a large range
of file formats such as emails, office documents, media files, and file
archives. It can index files that are embedded in other files. This means email
attachments and files in zip files are searchable as if they were normal files
on your harddisk.

Strigi is normally run as a background daemon that can be accessed by many
other programs at once. In addition to the daemon, Strigi comes with powerful
replacements for the popular unix commands 'find' and 'grep'. These are called
'deepfind' and 'deepgrep' and can search inside files just like the strigi
daemon can.

%package	devel
Summary:	Development files for the strigi desktop search engine
Group:		Development/Libraries
Requires:	%name-libs = %version-%release
Requires:	pkgconfig

%description	devel
Development files for the strigi desktop search engine

%package	libs
Summary:	Strigi libraries
Group:		Development/Libraries

%description	libs
Strigi search engine libraries

%prep
%setup -q
%patch0 -p1 -b .multilibs

%build
export PATH=/opt/qt4/bin:/opt/qt4:$PATH
mkdir build
pushd build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export FFLAGS="%{optflags}"
cmake	-DCMAKE_INSTALL_PREFIX=%{_prefix}	\
	-DLIB_DESTINATION=%{_libdir}	\
	-Dsysconfdir=%_sysconfdir/kde4	\
	-DENABLE_INOTIFY:BOOL=ON -DENABLE_DBUS:BOOL=ON \
	-DENABLE_FAM:BOOL=ON -DENABLE_EXPAT:BOOL=ON \
	..
make VERBOSE=1 %{?_smp_mflags}
popd

%install
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

desktop-file-install					\
	--vendor="fedora"				\
	--dir=%{buildroot}%{_datadir}/applications	\
	%{SOURCE1}

# Add an autostart desktop file for the strigi daemon
mkdir -p %{buildroot}%{_sysconfdir}/kde4/xdg/autostart
cp -pr %{SOURCE2} %{buildroot}%{_sysconfdir}/kde4/xdg/autostart/

find %{buildroot}%{_libdir} -type f -name "*.so*" -exec chmod 755 {} ';'

cp src/streamanalyzer/indexplugin.h $RPM_BUILD_ROOT/usr/include/strigi/

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/deepfind
%{_bindir}/deepgrep
%{_bindir}/luceneindexer
%{_bindir}/rdfindexer
%{_bindir}/strigiclient
%{_bindir}/strigicmd
%{_bindir}/strigidaemon
%{_bindir}/xmlindexer
%{_datadir}/applications/fedora-strigiclient.desktop
%{_datadir}/dbus-1/services/org.freedesktop.xesam.searcher.service
%{_datadir}/dbus-1/services/vandenoever.strigi.service
%{_sysconfdir}/kde4/xdg/autostart/strigi-daemon.desktop
%{_datadir}/strigi/

%files devel
%defattr(-,root,root,-)
%{_libdir}/libsearchclient.so
%{_libdir}/libstreamanalyzer.so
%{_libdir}/libstreams.so
%{_libdir}/libstrigihtmlgui.so
%{_libdir}/libstrigiqtdbusclient.so
%{_libdir}/pkgconfig/libstream*.pc
%{_includedir}/strigi/

%files libs
%defattr(-,root,root,-)
%{_libdir}/libsearchclient.so.*
%{_libdir}/libstreamanalyzer.so.*
%{_libdir}/libstreams.so.*
%{_libdir}/libstrigihtmlgui.so.*
%{_libdir}/libstrigiqtdbusclient.so.*
%{_libdir}/strigi/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.2-2
- rebuilt
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.2-1
- Version update
* Tue Jan 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.0-3
- now rebuilt against exiv2 0.19 for real
* Sun Jan 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.0-2
- rebuilt against exiv2 0.19
* Wed Aug 05 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.7.0-1
- Version update
* Fri Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.6.3-1
- Version update
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.6.2-2
- fixed library location
* Mon Jan 05 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.6.2-1
- Version update
* Sat Nov 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.5.11.1-1
- Version update
* Sat Nov 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.5.11-1
- Version update
* Sat Jun 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.5.10-1
- Version update
* Mon May 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.5.9-1
- Version update
* Sat Mar 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.5.7-4
- rebuilt against exiv2 0.16
* Fri Jan 25 2008 Christian Metzen <metzench@ccux-linux.de> 0.5.7-3
- rebuild against gcc 4.2.1
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.7-2
- back to stable release
- cleaned specfile from outdated tags
* Sun Nov 11 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.5.7-1
- Version update - svn735364
* Tue Sep 11 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.5.5-2
- Version update - svn711207
* Mon Aug 13 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.5.5-1
- Version update - svn699486
* Tue Jun 26 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.5.1-2
- Version update - svn680414
* Tue Jun 5 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.5.1-1
- Initial Release - svn672394
